package com.jeesharp.business.modules.food.service;

import com.jeesharp.business.modules.food.entity.FoodDish;
import com.jeesharp.business.modules.food.vo.FoodDishQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;
import java.util.Map;

public interface FoodDishService extends BaseInterface<FoodDish, FoodDishQueryVO> {

    void createDish(FoodDish entity);

    void updateDish(FoodDish entity);
void updateStatus(String id, Integer status);

    Map<String, FoodDish> mapDishByIds(List<String> ids);
}
